# Online Shipping

 - [POST /api/v1/shippo_shipping_rates](https://docs.trustap.com/apis/v1.0/openapi/online-shipping/basic.getshipposhippingrates.md): This returns the list of Shippo shipping rates available for the addreses provided i.e sender's address and recipient's address.
 - [GET /api/v1/supported_carriers](https://docs.trustap.com/apis/v1.0/openapi/online-shipping/getsupportedcarriers.md): This returns the carriers that are currently supported for automated tracking in the online model. The carrier `name` should be shown to users but the `code` should be submitted to the `/track` endpoi
 - [POST /api/v1/transactions/{transaction_id}/confirm_delivery](https://docs.trustap.com/apis/v1.0/openapi/online-shipping/basic.confirmdelivery.md): This endpoint allows the buyer to manually confirm the delivery of the item in the case that the state of the transaction was not updated asynchronously by Trustap.
 - [POST /api/v1/transactions/{transaction_id}/confirm_delivery_with_guest_buyer](https://docs.trustap.com/apis/v1.0/openapi/online-shipping/basic.confirmdeliverywithguestbuyer.md): This endpoint allows the client to manually confirm the delivery on behalf of the guest buyer specified in the header as `Trustap-User`.
 - [POST /api/v1/transactions/{transaction_id}/extend_tracking_deadline](https://docs.trustap.com/apis/v1.0/openapi/online-shipping/basic.extendtrackingdeadlinefortransaction.md): This endpoint allows the buyer to extend the tracking details submission deadline for the seller.
 - [POST /api/v1/transactions/{transaction_id}/generate_shipment_label](https://docs.trustap.com/apis/v1.0/openapi/online-shipping/basic.generateshipmentlabel.md): This endpoint returns a PDF containing the label for the transaction's parcel. Both sender and recipient details have to be submitted before making a call to this endpoint.
 - [GET /api/v1/transactions/{transaction_id}/shipping_details](https://docs.trustap.com/apis/v1.0/openapi/online-shipping/basic.getshippingdetailsfromtransaction.md)
 - [POST /api/v1/transactions/{transaction_id}/shipping_details](https://docs.trustap.com/apis/v1.0/openapi/online-shipping/basic.setshippingdetails.md)
 - [POST /api/v1/transactions/{transaction_id}/shippo_address](https://docs.trustap.com/apis/v1.0/openapi/online-shipping/basic.setshippoaddress.md)
 - [POST /api/v1/transactions/{transaction_id}/shippo_customs_declaration](https://docs.trustap.com/apis/v1.0/openapi/online-shipping/basic.setshippocustomsdeclaration.md)
 - [POST /api/v1/transactions/{transaction_id}/shippo_parcel_details](https://docs.trustap.com/apis/v1.0/openapi/online-shipping/basic.setshippoparceldetails.md)
 - [GET /api/v1/transactions/{transaction_id}/shippo_shipping_label](https://docs.trustap.com/apis/v1.0/openapi/online-shipping/basic.getshipposhippinglabel.md)
 - [POST /api/v1/transactions/{transaction_id}/shippo_shipping_rate](https://docs.trustap.com/apis/v1.0/openapi/online-shipping/basic.setshipposhippingrate.md): Set Shippo shipping rate for the transaction. This rate will be used to purchase the Shippo label once the transaction is paid. Shipment ID can be provided as an optional parameter, depending on the f
 - [GET /api/v1/transactions/{transaction_id}/shippo_shipping_rates](https://docs.trustap.com/apis/v1.0/openapi/online-shipping/basic.getshipposhippingratesfortransaction.md)
 - [POST /api/v1/transactions/{transaction_id}/track](https://docs.trustap.com/apis/v1.0/openapi/online-shipping/basic.tracktransaction.md): After the tracking information has been submitted then the state of the transaction will be updated asynchronously by Trustap once the delivery of the item has been confirmed, at which point the `deli
 - [POST /api/v1/transactions/{transaction_id}/track_with_guest_seller](https://docs.trustap.com/apis/v1.0/openapi/online-shipping/basic.tracktransactionwithguestseller.md): Add tracking details for the guest seller specified in the header as `Trustap-User`.
